### Method

# FwupdPlugin Progress to_string

since: 1.8.7

#### Declaration [src]

    gchar*
    fu_progress_to_string (
      FuProgress* self
    )

#### Description [src]

Prints the progress for debugging.

Available since: 1.8.7

#### Return value

Type: `gchar*`

String.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.